%global cvsdate 20090803

Summary:        Adding Unicode Sinhala to GNU/Linux
Name:           lklug-fonts
Version:        0.6
Release:        6.%{cvsdate}cvs%{?dist}
License:        GPLv3+
URL:            https://www.nongnu.org/sinhala/
# cvs snapshot created with following steps:
# cvs -z3 -d:pserver:anonymous@sinhala.cvs.sourceforge.net:/cvsroot/sinhala co -P sinhala/fonts
# cd sinhala/fonts/
# tar -czf lklug-%%{cvsdate}.tar.gz convert.ff COPYING  CREDITS lklug.sfd Makefile README.fonts
Source0:        lklug-%{cvsdate}.tar.gz
Source1:        65-lklug.conf
Source2:        lklug.metainfo.xml

BuildRequires:  make
BuildRequires:  fontpackages-devel fontforge
Requires:       fontpackages-filesystem

BuildArch:      noarch

%description
This is an LKLUG (www.lug.lk) project to add Sinhala script support
to GNU/Linux. This will include adding Unicode Sinhala support to
GNU/Linux infrastructure.

%prep
%autosetup -c

%build
make

%install
install -m 0755 -d %{buildroot}%{_datadir}/fonts/lklug
install -m 0644 -p *.ttf %{buildroot}%{_datadir}/fonts/lklug
install -m 0755 -d %{buildroot}%{_datadir}/fontconfig/conf.avail %{buildroot}%{_sysconfdir}/fonts/conf.d
install -m 0644 -p %{SOURCE1} %{buildroot}%{_datadir}/fontconfig/conf.avail/65-lklug.conf
ln -s %{_datadir}/fontconfig/conf.avail/65-lklug.conf %{buildroot}%{_sysconfdir}/fonts/conf.d/65-lklug.conf
install -Dm 0644 -p %{SOURCE2} %{buildroot}%{_datadir}/appdata/lklug.metainfo.xml

%files
%license COPYING
%doc CREDITS README.fonts
%{_sysconfdir}/fonts/conf.d/65-lklug.conf
%{_datadir}/appdata/lklug.metainfo.xml
%{_datadir}/fontconfig/conf.avail/65-lklug.conf
%{_datadir}/fonts/lklug/lklug.ttf

%changelog
* Wed Sep 13 2023 rockerzhu <rockerzhu@tencent.com> - 0.6-6.20090803cvs
- Rebuilt for fontconfig to privode font(:lang=)

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6-5.20090803cvs
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6-4.20090803cvs
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6-3.20090803cvs
- Rebuilt for OpenCloudOS Stream 23

* Mon Feb 06 2023 Miaojun Dong <zoedong@tencent.com> - 0.6-2
- Update license and url

* Thu Sep 08 2022 ZoeDong <zoedong@tencent.com> - 0.6-1
- Initial build

